Bug 131847 - Update port: emulators/mtools to 4.0.4
Summary: Update port: emulators/mtools to 4.0.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-02-18 17:30 UTC by tkato432
Modified: 2009-02-21 00:20 UTC (History)
0 users

See Also:


Attachments
file.diff (1.51 KB, patch)
2009-02-18 17:30 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2009-02-18 17:30:11 UTC
- Update to version 4.0.4

Remove file:
files/patch-e
Comment 1 Martin Wilke freebsd_committer 2009-02-18 18:01:33 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 tkato432 2009-02-20 13:30:25 UTC
Version 4.0.5 has been released.


diff -urN /usr/ports/emulators/mtools/Makefile emulators//mtools/Makefile
--- /usr/ports/emulators/mtools/Makefile	2009-02-17 15:33:22.000000000 +0900
+++ emulators//mtools/Makefile	2009-02-20 21:59:15.000000000 +0900
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	mtools
-PORTVERSION=	4.0.1
+PORTVERSION=	4.0.5
 CATEGORIES=	emulators
 MASTER_SITES=	${MASTER_SITE_SUNSITE} \
 		http://mtools.linux.lu/
diff -urN /usr/ports/emulators/mtools/distinfo emulators//mtools/distinfo
--- /usr/ports/emulators/mtools/distinfo	2009-01-14 23:57:11.000000000 +0900
+++ emulators//mtools/distinfo	2009-02-20 22:01:05.000000000 +0900
@@ -1,3 +1,3 @@
-MD5 (mtools-4.0.1.tar.bz2) = 4c91d1f26a201e3e7d440e125764790c
-SHA256 (mtools-4.0.1.tar.bz2) = 6ceb7d087b7acb9308f523571eee0ce2788c913c9a2f01a3b03979bb6eb705a9
-SIZE (mtools-4.0.1.tar.bz2) = 272909
+MD5 (mtools-4.0.5.tar.bz2) = 6c63d4bb63f1881f194c24ab0c85cf02
+SHA256 (mtools-4.0.5.tar.bz2) = ee5c9f1b3a7e0e2cdec2188f168d56250829a6251c816c53884304f861725a09
+SIZE (mtools-4.0.5.tar.bz2) = 380033
diff -urN /usr/ports/emulators/mtools/files/patch-c emulators//mtools/files/patch-c
--- /usr/ports/emulators/mtools/files/patch-c	1997-06-08 21:55:04.000000000 +0900
+++ emulators//mtools/files/patch-c	2009-02-20 22:04:52.000000000 +0900
@@ -1,11 +1,11 @@
---- ./mtools.texi.org	Sun Apr 13 00:59:18 1997
-+++ ./mtools.texi	Sun Jun  8 05:33:03 1997
-@@ -26,7 +26,7 @@
- @ifinfo
- @format
- START-INFO-DIR-ENTRY
+--- mtools.texi.orig	2009-02-20 05:48:30.000000000 +0900
++++ mtools.texi	2009-02-20 22:04:41.000000000 +0900
+@@ -36,7 +36,7 @@
+ 
+ @dircategory DOS
+ @direntry
 -* Mtools: (mtools).        Mtools: utilities to access DOS disks in Unix.
 +* Mtools: (mtools).		Mtools: utilities to access DOS disks in Unix.
- END-INFO-DIR-ENTRY
- @end format
- @end ifinfo
+ @end direntry
+ 
+ 
diff -urN /usr/ports/emulators/mtools/files/patch-charsetConv.c emulators//mtools/files/patch-charsetConv.c
--- /usr/ports/emulators/mtools/files/patch-charsetConv.c	2009-01-14 18:12:17.000000000 +0900
+++ emulators//mtools/files/patch-charsetConv.c	1970-01-01 09:00:00.000000000 +0900
@@ -1,10 +0,0 @@
---- charsetConv.c.orig	2008-11-19 06:33:11.000000000 +0900
-+++ charsetConv.c	2008-12-09 00:38:26.000000000 +0900
-@@ -5,7 +5,6 @@
- #include "msdos.h"
- #include "mtools.h"
- 
--#include <iconv.h>
- #include <stdio.h>
- #include <errno.h>
- #include <stdlib.h>
diff -urN /usr/ports/emulators/mtools/files/patch-e emulators//mtools/files/patch-e
--- /usr/ports/emulators/mtools/files/patch-e	1999-07-22 08:43:56.000000000 +0900
+++ emulators//mtools/files/patch-e	1970-01-01 09:00:00.000000000 +0900
@@ -1,11 +0,0 @@
---- floppyd.c~	Thu Jul 22 00:41:08 1999
-+++ floppyd.c	Thu Jul 22 00:42:36 1999
-@@ -675,7 +675,7 @@
- 	/*
- 	 * Ignore dead servers so no zombies should be left hanging.
- 	 */
--	signal(SIGCLD, SIG_IGN);
-+	signal(SIGCHLD, SIG_IGN);
- 
- 	for (;;) {
- 		int					new_sock;
Comment 3 Martin Wilke freebsd_committer 2009-02-21 00:12:44 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2009-02-21 00:15:20 UTC
miwi        2009-02-21 00:12:38 UTC

  FreeBSD ports repository

  Modified files:
    emulators/mtools     Makefile distinfo 
    emulators/mtools/files patch-c 
  Removed files:
    emulators/mtools/files patch-charsetConv.c patch-e 
  Log:
  - Update to 4.0.5
  
  PR:             131847
  Submitted by:   Ports Fury
  
  Revision  Changes    Path
  1.65      +1 -1      ports/emulators/mtools/Makefile
  1.25      +3 -3      ports/emulators/mtools/distinfo
  1.4       +9 -9      ports/emulators/mtools/files/patch-c
  1.2       +0 -10     ports/emulators/mtools/files/patch-charsetConv.c (dead)
  1.3       +0 -11     ports/emulators/mtools/files/patch-e (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"